> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /reed/jobs

> Get full Reed job details by job ID (or job URL): title, full description, salary, location, posting company, sector, contract type, employment hours, posting/expiry dates and job flags.

**Price:** 10 credits

**⚠️ Common errors:** 412: Job not found (well-formed but nonexistent or expired listing)



## OpenAPI

````yaml /openapi/jobs.json post /api/reed/jobs
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/reed/jobs:
    post:
      tags:
        - /reed
      summary: /reed/jobs
      description: >-
        Get full Reed job details by job ID (or job URL): title, full
        description, salary, location, posting company, sector, contract type,
        employment hours, posting/expiry dates and job flags.


        **Price:** 10 credits


        **⚠️ Common errors:** 412: Job not found (well-formed but nonexistent or
        expired listing)
      operationId: __api_reed_jobs_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReedJobsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ReedJob'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ReedJobsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        job:
          type: string
          minLength: 1
      type: object
      required:
        - job
    ReedJob:
      properties:
        '@type':
          type: string
          default: ReedJob
        id:
          type: integer
        url:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: string
            - type: 'null'
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
        display_date:
          anyOf:
            - type: string
            - type: 'null'
        expiry_date:
          anyOf:
            - type: string
            - type: 'null'
        next_refresh_date:
          anyOf:
            - type: string
            - type: 'null'
        taxonomy:
          anyOf:
            - type: string
            - type: 'null'
        breadcrumbs:
          items:
            type: string
          type: array
          default: []
        skills:
          items:
            type: string
          type: array
          default: []
        screening_questions:
          items:
            $ref: '#/components/schemas/ReedScreeningQuestion'
          type: array
          default: []
        contract_type:
          anyOf:
            - type: string
            - type: 'null'
        cover_letter_preference:
          anyOf:
            - type: string
            - type: 'null'
        recruiter_tier:
          anyOf:
            - type: string
            - type: 'null'
        application_eligibility:
          anyOf:
            - type: string
            - type: 'null'
        is_full_time:
          anyOf:
            - type: boolean
            - type: 'null'
        is_part_time:
          anyOf:
            - type: boolean
            - type: 'null'
        is_permanent:
          anyOf:
            - type: boolean
            - type: 'null'
        is_temp:
          anyOf:
            - type: boolean
            - type: 'null'
        is_contract:
          anyOf:
            - type: boolean
            - type: 'null'
        is_agency:
          anyOf:
            - type: boolean
            - type: 'null'
        is_employer:
          anyOf:
            - type: boolean
            - type: 'null'
        is_reed:
          anyOf:
            - type: boolean
            - type: 'null'
        is_featured:
          anyOf:
            - type: boolean
            - type: 'null'
        is_promoted:
          anyOf:
            - type: boolean
            - type: 'null'
        is_graduate:
          anyOf:
            - type: boolean
            - type: 'null'
        is_early_bird:
          anyOf:
            - type: boolean
            - type: 'null'
        is_easy_apply:
          anyOf:
            - type: boolean
            - type: 'null'
        is_training_job:
          anyOf:
            - type: boolean
            - type: 'null'
        is_live:
          anyOf:
            - type: boolean
            - type: 'null'
        is_public:
          anyOf:
            - type: boolean
            - type: 'null'
        is_suspended:
          anyOf:
            - type: boolean
            - type: 'null'
        is_redirect:
          anyOf:
            - type: boolean
            - type: 'null'
        is_manage_exec:
          anyOf:
            - type: boolean
            - type: 'null'
        is_multilingual:
          anyOf:
            - type: boolean
            - type: 'null'
        has_eligibility_to_work_in_uk:
          anyOf:
            - type: boolean
            - type: 'null'
        salary:
          anyOf:
            - $ref: '#/components/schemas/ReedJobSalary'
            - type: 'null'
        location:
          anyOf:
            - $ref: '#/components/schemas/ReedJobLocation'
            - type: 'null'
        owner:
          anyOf:
            - $ref: '#/components/schemas/ReedJobOwner'
            - type: 'null'
        sector:
          anyOf:
            - $ref: '#/components/schemas/ReedJobSector'
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ReedScreeningQuestion:
      properties:
        '@type':
          type: string
          default: ReedScreeningQuestion
        id:
          anyOf:
            - type: integer
            - type: 'null'
        text:
          anyOf:
            - type: string
            - type: 'null'
        expected_answer:
          anyOf:
            - type: boolean
            - type: 'null'
        is_reject_on_incorrect_answer:
          anyOf:
            - type: boolean
            - type: 'null'
        sort_order:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    ReedJobSalary:
      properties:
        '@type':
          type: string
          default: ReedJobSalary
        display:
          anyOf:
            - type: string
            - type: 'null'
        currency_id:
          anyOf:
            - type: integer
            - type: 'null'
        salary_from:
          anyOf:
            - type: number
            - type: 'null'
        salary_to:
          anyOf:
            - type: number
            - type: 'null'
        from_per_annum:
          anyOf:
            - type: number
            - type: 'null'
        to_per_annum:
          anyOf:
            - type: number
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        is_ote:
          anyOf:
            - type: boolean
            - type: 'null'
        has_included_benefits:
          anyOf:
            - type: boolean
            - type: 'null'
        is_pro_rata:
          anyOf:
            - type: boolean
            - type: 'null'
        is_negotiable:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
    ReedJobLocation:
      properties:
        '@type':
          type: string
          default: ReedJobLocation
        location_name:
          anyOf:
            - type: string
            - type: 'null'
        town_name:
          anyOf:
            - type: string
            - type: 'null'
        county_name:
          anyOf:
            - type: string
            - type: 'null'
        region_name:
          anyOf:
            - type: string
            - type: 'null'
        sub_country_name:
          anyOf:
            - type: string
            - type: 'null'
        country_name:
          anyOf:
            - type: string
            - type: 'null'
        country_code:
          anyOf:
            - type: string
            - type: 'null'
        post_code:
          anyOf:
            - type: string
            - type: 'null'
        is_remote:
          anyOf:
            - type: boolean
            - type: 'null'
        inferred_location_type:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ReedJobOwner:
      properties:
        '@type':
          type: string
          default: ReedJobOwner
        ou_id:
          anyOf:
            - type: integer
            - type: 'null'
        ou_name:
          anyOf:
            - type: string
            - type: 'null'
        ou_type:
          anyOf:
            - type: integer
            - type: 'null'
        organisation_id:
          anyOf:
            - type: integer
            - type: 'null'
        profile_id:
          anyOf:
            - type: integer
            - type: 'null'
        profile_name:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        company_profile_id:
          anyOf:
            - type: integer
            - type: 'null'
        company_profile_url:
          anyOf:
            - type: string
            - type: 'null'
        reference:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        banner:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ReedJobSector:
      properties:
        '@type':
          type: string
          default: ReedJobSector
        id:
          anyOf:
            - type: integer
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        parent_id:
          anyOf:
            - type: integer
            - type: 'null'
        parent_name:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````